const chatService = require("../services/chatService");

function setupChatSocket(wss) {
  wss.on("connection", (ws) => {
    ws.send("Welcome.");
    ws.on("message", (message) => {
      chatService.broadcast(wss, message, ws);
    });
  });
}

module.exports = setupChatSocket;
